Package commoble.bagofyurting.storage

# Class StorageManager

java.lang.Object
commoble.bagofyurting.storage.StorageManager

public class StorageManager extends Object
This class manages storage of `BagOfYurtingData`. Should be called only on server side

## Constructor Summary

Constructors
Constructor
Description
`StorageManager()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`has​(net.minecraft.server.MinecraftServer server, String id)`
`static BagOfYurtingData`
`load​(net.minecraft.server.MinecraftServer server, String id)`
`static void`
`onSave​(net.minecraft.server.level.ServerLevel Level)`
`static void`
`remove​(String id)`
`static void`
`save​(String id, BagOfYurtingData data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StorageManager

public StorageManager()

## Method Details

### save

public static void save​(String id, BagOfYurtingData data)

### remove

public static void remove​(String id)

### load

@Nullable public static BagOfYurtingData load​(net.minecraft.server.MinecraftServer server, String id)

### has

public static boolean has​(net.minecraft.server.MinecraftServer server, String id)

### onSave

public static void onSave​(net.minecraft.server.level.ServerLevel Level)